<?xml version="1.0" encoding="utf-8"?>

<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/col_6f7"
    android:orientation="vertical">

    <include
        android:id="@+id/titleBar"
        layout="@layout/title_white_bar" />

    <com.ruffian.library.widget.RLinearLayout
        android:id="@+id/llNoDataLayout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/titleBar"
        android:layout_marginStart="@dimen/dp_14"
        android:layout_marginTop="@dimen/dp_14"
        android:layout_marginEnd="@dimen/dp_14"
        android:gravity="center"
        android:visibility="gone"
        android:orientation="vertical"
        android:paddingStart="@dimen/dp_17"
        android:paddingTop="@dimen/dp_49"
        android:paddingEnd="@dimen/dp_17"
        android:paddingBottom="@dimen/dp_33"
        app:background_normal="@color/white"
        app:corner_radius="@dimen/dp_8">

        <ImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@mipmap/ic_no_data" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_15"
            android:text="暂无建议"
            android:textColor="@color/col_313"
            android:textSize="@dimen/sp_17"
            android:textStyle="bold" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_10"
            android:layout_marginStart="@dimen/dp_50"
            android:layout_marginEnd="@dimen/dp_50"
            android:textColor="@color/col_7c7"
            android:textSize="@dimen/sp_13"
            android:lineSpacingExtra="@dimen/dp_5"
            android:gravity="center"
            android:text="该指标属于其他指标的关联衍生指标，暂无相关建议" />


    </com.ruffian.library.widget.RLinearLayout>

    <androidx.core.widget.NestedScrollView
        android:id="@+id/content"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_above="@+id/tvBack"
        android:layout_below="@+id/titleBar">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <com.ruffian.library.widget.RLinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_14"
                android:layout_marginTop="@dimen/dp_14"
                android:layout_marginEnd="@dimen/dp_14"
                android:orientation="vertical"
                android:paddingStart="@dimen/dp_17"
                android:paddingTop="@dimen/dp_20"
                android:paddingEnd="@dimen/dp_17"
                android:paddingBottom="@dimen/dp_20"
                app:background_normal="@color/white"
                app:corner_radius="@dimen/dp_8">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:drawableStart="@mipmap/ic_body_fat_detail"
                    android:drawablePadding="@dimen/dp_8"
                    android:text="详细数据"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_17"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/tvDetail"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_12"
                    android:textColor="@color/col_7c7"
                    android:textSize="@dimen/sp_15"
                    tools:text="你的BMI偏低，身体偏瘦。太瘦可能导致营养不良、免疫力低下等问题;建议先明确有没有潜在疾病，如消化系统疾病、甲亢等;健康的消瘦者需加强锻炼和营养补充。" />

            </com.ruffian.library.widget.RLinearLayout>

            <com.ruffian.library.widget.RLinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_14"
                android:layout_marginTop="@dimen/dp_14"
                android:layout_marginEnd="@dimen/dp_14"
                android:orientation="vertical"
                android:paddingStart="@dimen/dp_17"
                android:paddingTop="@dimen/dp_20"
                android:paddingEnd="@dimen/dp_17"
                android:paddingBottom="@dimen/dp_20"
                app:background_normal="@color/white"
                app:corner_radius="@dimen/dp_8">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:drawableStart="@mipmap/ic_sport_advice"
                    android:drawablePadding="@dimen/dp_8"
                    android:text="运动建议"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_17"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/sportDetail"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_12"
                    android:textColor="@color/col_7c7"
                    android:textSize="@dimen/sp_15"
                    tools:text="你的BMI偏低，身体偏瘦。太瘦可能导致营养不良、免疫力低下等问题;建议先明确有没有潜在疾病，如消化系统疾病、甲亢等;健康的消瘦者需加强锻炼和营养补充。" />

            </com.ruffian.library.widget.RLinearLayout>

            <com.ruffian.library.widget.RLinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginStart="@dimen/dp_14"
                android:layout_marginTop="@dimen/dp_14"
                android:layout_marginEnd="@dimen/dp_14"
                android:orientation="vertical"
                android:paddingStart="@dimen/dp_17"
                android:paddingTop="@dimen/dp_20"
                android:paddingEnd="@dimen/dp_17"
                android:paddingBottom="@dimen/dp_20"
                app:background_normal="@color/white"
                app:corner_radius="@dimen/dp_8">

                <TextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:drawableStart="@mipmap/ic_eat_advice"
                    android:drawablePadding="@dimen/dp_8"
                    android:text="饮食建议"
                    android:textColor="@color/col_313"
                    android:textSize="@dimen/sp_17"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/eatDetail"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/dp_12"
                    android:textColor="@color/col_7c7"
                    android:textSize="@dimen/sp_15"
                    tools:text="你的BMI偏低，身体偏瘦。太瘦可能导致营养不良、免疫力低下等问题;建议先明确有没有潜在疾病，如消化系统疾病、甲亢等;健康的消瘦者需加强锻炼和营养补充。" />

            </com.ruffian.library.widget.RLinearLayout>
        </LinearLayout>
    </androidx.core.widget.NestedScrollView>

    <TextView
        android:id="@+id/tvBack"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_marginStart="@dimen/dp_25"
        android:layout_marginTop="@dimen/dp_15"
        android:layout_marginEnd="@dimen/dp_25"
        android:layout_marginBottom="@dimen/dp_30"
        android:background="@drawable/shape_bind_device"
        android:gravity="center"
        android:padding="@dimen/dp_12"
        android:text="返回"
        android:textColor="@color/white"
        android:textSize="@dimen/sp_18" />

</RelativeLayout>